Bug 146858 - [patch] ports-mgmt/portupgrade-devel: respect LOCALBASE
[patch] ports-mgmt/portupgrade-devel: respect LOCALBASE
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: beech
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-23 09:50 UTC by swell.k
Modified: 2010-11-15 10:10 UTC (History)
0 users

See Also:


Attachments
a.diff (739 bytes, patch)
2010-05-23 09:50 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-05-23 09:50:01 UTC
The port uses bogus name PREFIX, hardcodes it to /usr/local and uses it
to find its tools.

Fix: Here is a *workaround* that only tries to read LOCALBASE defined in
environ(7) and ignores make.conf(5).
How-To-Repeat: # portupgrade -a
[Updating the pkgdb <format:dbm_hash> in /var/db/pkg ... - 303 packages found (-1 +1) (...). done]
Command failed [exit code 127]: /usr/local/sbin/pkgdb -aFOQ
Comment 1 Edwin Groothuis freebsd_committer 2010-05-23 09:50:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 pgollucci freebsd_committer 2010-09-10 00:12:14 UTC
Responsible Changed
From-To: ruby->pgollucci

I will take it
Comment 3 pgollucci freebsd_committer 2010-09-24 07:23:12 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

going to have enotime for the next 2 weeks, sorry
Comment 4 beech freebsd_committer 2010-11-13 23:05:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it.
Comment 5 dfilter freebsd_committer 2010-11-15 09:33:08 UTC
beech       2010-11-15 09:33:03 UTC

  FreeBSD ports repository

  Modified files:
    ports-mgmt/portupgrade-devel Makefile 
  Log:
  Respect base
  
  PR:     146858
  Submitted by:   Anonymous <swell.k@gmail.com>
  Approved by:    dinoex
  
  Revision  Changes    Path
  1.269     +4 -0      ports/ports-mgmt/portupgrade-devel/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 beech freebsd_committer 2010-11-15 10:08:36 UTC
State Changed
From-To: open->closed

Committed, Thanks!